Loading...
Searching...
No Matches
L4::Epiface_t0< RPC_IFACE, BASE > Struct Template Reference

Epiface mixin for generic Kobject-based interfaces. More...

`#include <ipc_epiface>`

Inheritance diagram for L4::Epiface_t0< RPC_IFACE, BASE >:
Collaboration diagram for L4::Epiface_t0< RPC_IFACE, BASE >:

## Public Types

typedef RPC_IFACE | Interface
| Data type of the IPC interface definition.
Public Types inherited from L4::Epiface
typedef Ipc_svr::Server_iface | Server_iface
| Type for abstract server interface.
typedef Ipc_svr::Server_iface::Demand | Demand
| Type for server-side receive buffer demand.

## Public Member Functions

Type_info::Demand | get_buffer_demand () const
| Get the server-side buffer demand based in IFACE.
Cap< RPC_IFACE > | obj_cap () const
| Get the (typed) capability to this object.
Public Member Functions inherited from L4::Epiface
| Epiface ()
| Make a server object.
virtual l4_msgtag_t | dispatch (l4_msgtag_t tag, unsigned rights, l4_utcb_t *utcb)=0
| The abstract handler for client requests to the object.
virtual | ~Epiface ()=0
| Destroy the object.
Stored_cap | obj_cap () const
| Get the capability to the kernel object belonging to this object.
Server_iface * | server_iface () const
| Get pointer to server interface at which the object is currently registered.
int | set_server (Server_iface *srv, Cap< void > cap, bool managed=false)
| Set server registration info for the object.
void | set_obj_cap (Cap< void > const &cap)
| Deprecated server registration function.

## Detailed Description

template<typename RPC_IFACE, typename BASE = Epiface>
struct L4::Epiface_t0< RPC_IFACE, BASE >

Epiface mixin for generic Kobject-based interfaces.

Template Parameters

  RPC_IFACE | Data type of the IPC interface definition.
  BASE | Base Epiface class.

Definition at line 256 of file ipc_epiface.

## Member Function Documentation

## obj_cap()

template<typename RPC_IFACE, typename BASE = Epiface>

Cap< RPC_IFACE > L4::Epiface_t0< RPC_IFACE, BASE >::obj_cap | ( |  | ) | const

inline

Get the (typed) capability to this object.

Returns
  Capability for the kernel object behind the server.

Definition at line 269 of file ipc_epiface.

References L4::cap_cast().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_epiface